Run the leave reassignment scan now
post
https://api.expiryedge.com/v1/triggerAvailabilityScanneradmin60/minAny method
Request
curl -X POST 'https://api.expiryedge.com/v1/triggerAvailabilityScanner' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY"Response
{
"success": true,
"processed": 1,
"reassigned": 3,
"alerts": 0
}Runs the hourly leave scan for your organization immediately (normally it runs at 07:00 organization time), reassigning expiries of users currently on leave to their backups and notifying them.
200
Scan finished.
successbooleanrequiredprocessedintegerOrganizations processed.reassignedintegerExpiries reassigned.alertsintegerAlerts sent where no backup was available.
401 | Missing, expired or invalid bearer token. |
403 | Not allowed (legacy {message} body). |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
500 | Server error, including a missing or invalid token (legacy {message} body). |
